Bug 53982 - Compiler crashes on big files
Compiler crashes on big files
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-24 18:05 EDT by Viren
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-24 18:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viren 2001-09-24 18:05:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
 Internal error: Segmentation fault. is displayed many times during a long 
compilation. Restarting compilation it goes thru.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Take a big project(at least a few files should be huge)
2.try compiling.
Exactly:
Try compiling latest perl code
	

Actual Results:  Internal error: Segmentation fault

Additional info:
Comment 1 Jakub Jelinek 2001-09-25 05:43:55 EDT
Random compiler crashes (as opposed to reproduceable crashes always on the
same file same error which don't go away when restarting compilation) are in
99.9% cases hardware problems.
Please check your hardware and check you have enough virtual memory (RAM and
swap) for big compilations.

Note You need to log in before you can comment on or make changes to this bug.